@media screen and (max-width: 1024px) {
  /* ------------- */
  /* Main settings */
  /* ------------- */
  html {
    /* height: 1vh; */
    /* width: 1vw; */
    font-size: 18px;
  }

  body {
    width: 100%;
    height: 100%;
    overflow: scroll;
  }

  /* TODO : check if necessary */
  #landscapes_page,
  #foods_page,
  #meetings_page {
    height: auto;
  }

  /* mouse cursor tracker */
  .circle {
    display: none;
  }

  /* home button */
  .home_btn_container {
    display: none;
  }

  /* nav bar */
  #first_nav_bar {
    display: none;
  }

  #second_nav_bar {
    display: none;
  }

  /* ---------------- */
  /* Sidebar - mobile */
  /* ---------------- */
  /* sidebar openning menu */
  .menu_access {
    /* display: block; */
    position: fixed;
    width: 50px;
    height: 50px;
    z-index: 5;
    top: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .menu_access input {
    display: flex;
    width: inherit;
    height: inherit;
    position: absolute;
    opacity: 0;
    z-index: 2;
  }

  .menu_access span {
    display: flex;
    width: 29px;
    height: 2px;
    margin-bottom: 5px;
    position: relative;
    background: #000000;
    border-radius: 3px;
    z-index: 1;
    transform-origin: 5px 0px;
    transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1),
      opacity 0.55s ease;
  }

  .menu_access span:nth-of-type(1) {
    transform-origin: 0% 100%;
  }

  .menu_access input:checked ~ span {
    opacity: 1;
    transform: rotate(45deg) translate(0px, -3px);
  }

  .menu_access input:checked ~ span:nth-of-type(2) {
    opacity: 0;
    transform: rotate(0deg) scale(0.2, 0.2);
  }

  .menu_access input:checked ~ span:nth-of-type(3) {
    transform: rotate(-45deg) translate(0, 2px);
  }

  .menu_access input:not(:checked) span {
    display: flex;
    width: 29px;
    height: 2px;
    margin-bottom: 5px;
    position: relative;
    background: #000000;
    border-radius: 3px;
    z-index: 1;
    transform-origin: 5px 0px;
    transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1),
      opacity 0.55s ease;
  }

  /* sidebar menu */
  .sidenav {
    visibility: visible;
    position: fixed;
    width: 45%;
    height: 100%;
    z-index: 4;
    right: -45%;
    background-color: white;
    box-shadow: none;
    transition: 0.5s ease-out;
  }

  .sidenav ul {
    width: 100%;
    height: 100%;
    padding-top: 70px;
    padding-left: 30px;
  }

  .sidenav ul li {
    margin: 30px 0;
    position: relative;
  }

  .sidenav ul li::after {
    content: "";
    width: 80%;
    height: 1px;
    left: -5px;
    border-bottom: 1px solid black;
    position: absolute;
    top: 40px;
  }

  .sidenav ul li:last-child:after {
    content: "";
    width: 0;
    height: 0;
  }

  .sidenav ul li a {
    text-decoration: none;
    font-style: normal;
    color: black;
  }

  .sidenav ul li a:active {
    color: white;
    background-color: #000;
  }

  /* ---------- */
  /*  1st page  */
  /* ---------- */
  .video_container {
    width: 100%;
    height: 100%;
  }

  video {
    display: none;
  }

  .main_panel {
    width: 100%;
    height: 100%;
    background: center / cover no-repeat
      url("../images/articles_photos/landscapes/pexels-gabriel-hohol-3593923.jpg");
    opacity: 1;
    transition: none;
  }

  #home_page .main_content {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
    width: 100%;
    height: 100%;
    margin-top: 0;
    margin-left: 0;
    padding: 50px 20px 70px 40px;
  }

  .main_content h1 {
    font-size: 1.5rem;
    color: #fff;
    line-height: 30px;
    margin-bottom: 10px;
  }

  .main_content h3 {
    font-size: 0.8rem;
    color: rgb(216, 210, 210);
  }

  /* ------------------- */
  /*  All article pages  */
  /* ------------------- */
  #about_page .main_content,
  #landscapes_page .main_content,
  #foods_page .main_content,
  #meetings_page .main_content {
    flex-direction: column-reverse;
    justify-content: space-around;
    overflow: hidden;
  }

  #about_page .text_content,
  #landscapes_page .text_content,
  #foods_page .text_content,
  #meetings_page .text_content {
    width: 75%;
    margin: 60px auto 30px auto;
    align-self: start;
    font-style: italic;
  }

  /* ---------- */
  /*  Carousel  */
  /* ---------- */
  .main_content {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .slideshow-container {
    width: 80%;
    overflow: visible;
  }

  .carousel_btn {
    position: relative;
    top: 0;
    left: 0;
    transform: none;
    width: 110px;
    height: auto;
    margin-top: 10px;
    flex-direction: row;
    justify-content: space-between;
  }

  .btn_container {
    transform: none;
    margin-right: 0;
    -webkit-box-shadow: 0px 10px 13px -7px #000000,
      5px 5px 15px 5px rgba(0, 0, 0, 0);
    box-shadow: 0px 10px 13px -7px #000000, 3px 3px 15px 2px rgba(0, 0, 0, 0);
  }

  .btn_container:hover {
    background-color: rgba(0, 0, 0, 0);
  }

  .prev,
  .next {
    cursor: pointer;
    width: auto;
    font-size: 25px;
    padding-bottom: 4px;
    user-select: none;
    transition: none;
    z-index: 40;
  }

  /* Fading animation */
  .fade {
    -webkit-animation-name: fade;
    -webkit-animation-duration: 1.5s;
    animation-name: fade;
    animation-duration: 1.5s;
  }

  @-webkit-keyframes fade {
    from {
      opacity: 0.4;
    }
    to {
      opacity: 1;
    }
  }

  @keyframes fade {
    from {
      opacity: 0.4;
    }
    to {
      opacity: 1;
    }
  }

  /* On smaller screens, decrease text size */
  @media only screen and (max-width: 300px) {
    .prev,
    .next,
    .text {
      font-size: 11px;
    }
  }

  /* --------- */
  /* 2nd page  */
  /* --------- */
  .overlay_image {
    z-index: 1;
  }

  .img_hover {
    display: none;
  }

  .about_content h2 {
    font-size: 1.25rem;
    line-height: 40px;
  }

  .about_content h4 {
    font-size: 0.8rem;
    color: #ce9c9c;
    margin-top: 1%;
  }

  .about_content p {
    font-size: 0.7rem;
    margin-top: 11%;
  }

  .palmer {
    display: none;
  }

  /* ----------------- */
  /* 3rd,4th,5th pages */
  /* ----------------- */
  #landscapes_page .main_content,
  #foods_page .main_content,
  #meetings_page .main_content {
    flex-direction: column-reverse;
    padding-bottom: 5%;
  }

  .landscapes_content h2,
  .foods_content h2,
  .meetings_content h2 {
    font-size: 1.25rem;
    line-height: 25px;
  }

  .landscapes_content p,
  .foods_content p,
  .meetings_content p {
    font-size: 0.7rem;
    margin-top: 11%;
  }

  .mountain,
  .cultery,
  .friends {
    display: none;
  }

  /* ------- */
  /*  image  */
  /* ------- */
  .overlay_image {
    height: 70%;
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .overlay_image .content_image {
    display: block;
    min-width: 100%;
    max-width: 100%;
  }

  .overlay_image:hover .img_hover,
  .overlay_image:hover .img_hover .overlay_text {
    display: none;
  }

  .overlay_image:hover .img_hover .overlay_text {
    opacity: 1;
  }

  /* ------------- */
  /* Contacts page */
  /* ------------- */
  #contacts_page {
    height: auto;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
  }

  .footer_text,
  .footer_arrow,
  .social_network_icons {
    margin: 10px;
  }

  .footer_text {
    width: 80%;
    font-size: 0.8rem;
    text-align: center;
    margin-top: 4%;
  }

  .footer_arrow {
    width: 40px;
    height: 40px;
    transform: rotate(90deg);
    display: flex;
    justify-content: center;
    align-items: flex-end;
  }

  /* Useful to cancel javascript animation */
  @keyframes footer_arrow_appearance {
    0% {
      opacity: 1;
    }
    100% {
      opacity: 1;
    }
  }

  .social_network_icons {
    width: 260px;
    height: 40px;
    margin-bottom: 20px;
    z-index: 1;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .icons {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
  }

  .icons img {
    min-width: 30px;
    max-width: 30px;
    border-radius: 50%;
    -webkit-box-shadow: 0px 10px 13px -7px #000000,
      5px 5px 15px 5px rgba(0, 0, 0, 0);
    box-shadow: 0px 10px 13px -7px #000000, 5px 5px 15px 5px rgba(0, 0, 0, 0);
  }
}
